.btn-toolbar.mt-2.mb-2
  - if @version.previous
    = link_to(icon("arrow-left", "Earlier"), version_path(@version.previous, owner: params[:owner]), class: 'btn btn-outline-primary')
  - else
    = link_to(icon("arrow-left", "Earlier"), "#", class: 'btn btn-outline-primary disabled')
  - if @version.next
    = link_to(icon("arrow-right", "Later"), version_path(@version.next, owner: params[:owner]), class: 'btn btn-outline-primary')
  - else
    = link_to(icon("arrow-right", "Later"), "#", class: 'btn btn-outline-primary disabled')
  - if params[:owner] && @version.item
    = link_to icon(:cancel, "Close"), polymorphic_url(@version.item, :routing_type => :path, view: 'versions'), class: 'btn btn-outline-secondary'
  - else
    = link_to icon(:cancel, "Close"), versions_path, class: 'btn btn-outline-secondary'

- null = "<span class='text-secondary'>∅</span>".html_safe
.title-line.mb-0
  %h3.mb-0
    Version
    = @version.index
    .muted= @version.created_at.to_s
  .status
    = version_badge @version

.mt-0
  Change made to
  %b= @version.item_type.humanize
  - if @version.item
    - linked_model = @version.item.is_a?(Note) ? @version.item.notable : @version.item
    = link_to @version.item_id, polymorphic_url(linked_model, :routing_type => :path, view: 'versions')
  - else
    = @version.item_id
    (no longer exists)
  by
  - if @version.who
    = icon("user")
    %b= @version.who.login
  - else
    = icon("robot")
    %b Maintenance Script

.mt-3.alert{class: "alert-" + version_color(@version)}
  = display_text @version.description(prefix: "Changed:")

.mt-3
  %b Change Message

= form_with model: @version, url: version_path(@version) do |form|
  = hidden_field_tag :owner, params[:owner]
  .d-flex
    .input-group
      = text_field_tag "paper_trail_version[change_message]", @version.change_message, class: 'form-control', placeholder: 'change message', required: true
      .input-group-append
        %button.btn.btn-success{type: 'submit'}
          = icon(:ok, "Save")

%table.table.table-striped.mt-4
  %tr
    %th Field
    %th.text-nowrap Old Value
    %th
    %th.text-nowrap New Value
  - @version.changeset.each do |k,v|
    - next if v.first.nil? && v.last.nil?
    %tr
      %td.text-nowrap= k.humanize
      %td= v.first.nil? ? null : link_to_association(@before_record, k, v.first)
      %td &rarr;
      %td= v.last.nil? ? null : link_to_association(@after_record, k, v.last)
